Arethusa forum

Arethusa discussion forums.

You are not logged in.

Announcement

Registration is not required to post, but is required to post links.

#1 2017-07-14 14:24:23

Anonymous
Anonymous

OpenVPN 2.4 ns-cert-type deprecated

Hello.

In my openvpn log I see:
WARNING: --ns-cert-type is DEPRECATED.  Use --remote-cert-tls instead.

Can I simply replace one with the other, or does it need a change on your side?

#2 2017-07-14 15:24:27

Zero
Moderator

Re: OpenVPN 2.4 ns-cert-type deprecated

You can just replace the ns-cert-type line with:

remote-cert-tls server

The v3 config file generator has been updated a few weeks ago.
ns-cert-type will stop working in OpenVPN 2.5.

Offline

#3 2017-07-14 18:01:43

Anonymous
Anonymous

Re: OpenVPN 2.4 ns-cert-type deprecated

Thanks! I’ll do that. (I’m still on v2.)

Board footer

Powered by FluxBB